# https://github.com/golang/snappy
%global goipath         github.com/golang/snappy
%global commit          2e65f85255dbc3072edf28d6b5b8efc472979f5a
%global oldgoipath      github.com/syndtr/gosnappy
%global oldgoname       %gorpmname %{oldgoipath}

%gometa

Name:           golang-github-snappy
Version:        0
Release:        0.14%{?dist}
Summary:        Implementation of the Snappy compression format for Go
# Detected licences
# - BSD 3-clause "New" or "Revised" License at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}

%package -n snappytool
Summary:       %{summary}

%description -n snappytool
%{summary}.

This package contains snappytool binary.


%package devel
Summary:       %{summary}

%description devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%package -n compat-%{oldgoname}-devel
Summary:    %{summary}
BuildArch:  noarch

%description -n compat-%{oldgoname}-devel
%{common_description}

This package contains compatibility glue for code that still imports the
%{oldgoipath} Go namespace.


%prep
%forgesetup


%build
%gobuildroot
%gobuild -o _bin/snappytool %{goipath}/cmd/snappytool


%install
%goinstall
install -Dpm 0755 _bin/snappytool %{buildroot}%{_bindir}/snappytool

install -m 0755 -vd %{buildroot}%{gopath}/src/%(dirname %{oldgoipath})
ln -s %{gopath}/src/%{goipath} %{buildroot}%{gopath}/src/%{oldgoipath}


%check
%gochecks


%files -n snappytool
%license LICENSE
%{_bindir}/snappytool


%files devel -f devel.file-list
%license LICENSE
%doc README CONTRIBUTORS AUTHORS


%files -n compat-%{oldgoname}-devel
%dir %{gopath}/src/%(dirname %{oldgoipath})
%{gopath}/src/%{oldgoipath}


%changelog
* Mon Oct 29 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.14.20181029git2e65f85
- Bump to commit 2e65f85255dbc3072edf28d6b5b8efc472979f5a
- Update to new go packaging

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.git156a073
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git156a073
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.git156a073
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git156a073
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git156a073
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.git156a073
- https://fedoraproject.org/wiki/Changes/golang1.7

* Fri Apr 15 2016 jchaloup <jchaloup@redhat.com> - 0-0.7.git156a073
- Polish the spec file
- Extend the spec with github.com/golang/snappy (which is newer version of gosnappy)
  related: #1220164

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git156a073
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.git156a073
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Aug 10 2015 Fridolin Pokorny <fpokorny@redhat.com> - 0-0.4.git156a073
- Update spec file to spec-2.0
  related: #1220164

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git156a073
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 10 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git156a073
- Bump to upstream 156a073208e131d7d2e212cb749feae7c339e846
  resolves: #1220164

* Sat Feb 07 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitce8acff
- First package for Fedora
  resolves: #1190411
